<?php
use Illuminate\Database\Capsule\Manager as Capsule;

global $CONFIG;

if ($_GET["day"]){
    $days = (int)$_GET["day"];
} else {
    $days = 1;
}
if (!function_exists("custom_get_usercustomfield")) { 
    function custom_get_usercustomfield($name,$userid) {
        return Capsule::table('tblcustomfields')
            ->join('tblcustomfieldsvalues', 'tblcustomfields.id', '=', 'tblcustomfieldsvalues.fieldid')
            ->where('type', "=" , 'client')
            ->where('fieldname', '=', $name)
            ->where('tblcustomfieldsvalues.relid', $userid)
            ->select("tblcustomfieldsvalues.value")
            ->value("value");
    }
}

$hosts_data = Capsule::table("tblhosting")
                ->where("domainstatus","Active")
                ->where("nextduedate","<",date("Y-m-d",strtotime("+". $days . " days")))
                ->get();
?>

<link rel="stylesheet" type="text/css" href="../assets/css/dataTables.bootstrap.css">
<link rel="stylesheet" type="text/css" href="../assets/css/dataTables.responsive.css">
<script type="text/javascript" charset="utf8" src="../modules/addons/expire_check/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" charset="utf8" src="../assets/js/dataTables.bootstrap.min.js"></script>
<script type="text/javascript" charset="utf8" src="../assets/js/dataTables.responsive.min.js"></script>

<table class="table">
    <thead>
        <tr>
            <td>服务ID</td>
            <td>服务域名</td>
            <td>续费金额</td>
            <td>服务到期日</td>
            <td>用户ID</td>
            <td>联系QQ</td>
            <td>销售人员</td>
            <td>账单ID</td>
        </tr>
    </thead>
    <tbody>
    <?php
    foreach ($hosts_data as $host_data){
        $cancel_data = Capsule::table('tblcancelrequests')->where('relid', '=', $host_data->id)->get();
        if ($cancel_data){
            continue;
        }
        $query_results = Capsule::table('tblinvoiceitems')->where('relid', '=', $host_data->id)->where('type', '=', "Hosting")->orderBy('id', 'desc')->first();
        $invoice_id = "无";
        if (!empty($query_results)){
            $invoice_status = Capsule::table('tblinvoices')->where('id', '=', $query_results->invoiceid)->get();
            foreach ($invoice_status as $item){
                if ($item->status == "Unpaid"){
                    $invoice_id = $query_results->invoiceid;
                }
            }
        }
        $sale_name = custom_get_usercustomfield("销售人员",$host_data->userid);
        $userqq = custom_get_usercustomfield("联系QQ",$host_data->userid);
    ?>
        <tr>
            <td><a href="clientsservices.php?id=<?=$host_data->id;?>" target="_blank">#<?=$host_data->id;?></a></td>
            <td><?=$host_data->domain;?></td>
            <td><?=$host_data->amount;?></td>
            <td><?=$host_data->nextduedate;?></td>
            <td><a href="clientssummary.php?userid=<?=$host_data->userid;?>" target="_blank">#<?=$host_data->userid;?></a> <button type="button" class="btn btn-primary btn-xs pull-right" data-userid="<?=$host_data->userid;?>" data-userqq="<?=$userqq;?>" onclick="copy_renew(this)">复制该用户续费语(全部服务)</button></td>
            <td><?=$userqq?></td>
            <td><?=$sale_name?></td>
            <td><a href="invoices.php?action=edit&id=<?=$invoice_id;?>" target="_blank">#<?=$invoice_id;?></a></td>
        </tr>
    <?php
    }
    ?>

    </tobdy>
</table>

<div class="renewnotice_modal modal fade" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title">续费语</h4>
      </div>
      <div class="modal-body">
        <p>点击可全选复制</p>
        <textarea class="form-control" rows="10" onclick="$(this).select()">

        </textarea>
        <br/>
        <p class="client_qq">
            客户联系 : <a target="_blank" href="http://wpa.qq.com/msgrd?v=3&uin=1047050421&site=qq&menu=yes"><img border="0" src="http://wpa.qq.com/pa?p=2:1047050421:51" alt="点击这里给我发消息" title="点击这里给我发消息"/></a>
        </p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">关闭</button>
      </div>
    </div>
  </div>
</div>
<textarea class="renew_lang" style="display:none">
您好！

以下机器即将到期，机器逾期未续费将被取消，为了保障您正常使用，请及时续费，谢谢！
{SERVERS}
续费支付宝账号：<?=$vars["alipay_account"];?>   宁波雷雨网络科技有限公司

后台续费链接：<?=$CONFIG["SystemURL"];?>
</textarea>
<script>
var copy_renew = function(obj){
    var userid = $(obj).data("userid")
    var userqq = $(obj).data("userqq")
    var table_data = table.rows().data();
    var html = '';
    total = 0;
    for (var i=0;i<table_data.length;i++)
    {
        if (table_data[i][4].indexOf('userid='+userid+'"') != -1){
            html += "\n账单" + $(table_data[i][7]).html() + " " + table_data[i][1]
            html += "\n  - 续费金额 : " + table_data[i][2]
            html += "\n  - 过期时间 : " + table_data[i][3] + "\n"
            total += parseFloat(table_data[i][2])
        }
    }
    html += "\n总计 : " + total.toFixed(2)
    $(".renewnotice_modal .client_qq img").attr("href","http://wpa.qq.com/pa?p=2:"+userqq+":51")
    $(".renewnotice_modal .client_qq a").attr("href","http://wpa.qq.com/msgrd?v=3&uin="+userqq+"&site=qq&menu=yes")
    $(".renewnotice_modal textarea").val($(".renew_lang").val().replace("{SERVERS}",html))
    $(".renewnotice_modal").modal("show")
}

var table = $("table").DataTable({
    "dom": '<"listtable"fit>pl',        
    "responsive": true,
    "oLanguage": {
        "sEmptyTable":     "没有记录",
        "sInfo":           "共有 _TOTAL_ 项，正在展示第 _START_ 到 _END_ 项",
        "sInfoEmpty":      "无记录",
        "sInfoFiltered":   "(从 _MAX_ 条中筛选)",
        "sInfoPostFix":    "",
        "sInfoThousands":  ",",
        "sLengthMenu":     "每页显示 _MENU_ 条",
        "sLoadingRecords": "加载中...",
        "sProcessing":     "处理中...",
        "sSearch":         "",
        "sZeroRecords":    "没有记录",
        "oPaginate": {
            "sFirst":    "最初的",
            "sLast":     "最后的",
            "sNext":     "下一页",
            "sPrevious": "上一页"
        }
    },
    "pageLength": -1,
	iDisplayLength: -1,
    "order": [
        [ 0, "asc" ]
    ],
    "lengthMenu": [
        [-1, 10, 25, 50],
        ["所有", 10, 25, 50]
    ],
    "stateSave": true,
})
</script>
<style>
.dataTables_info{
    display: inline-block;
}

.dataTables_filter {
    display: inline-block;
    float: right;
}

.dataTables_paginate {
    float: right;
}
</style>